> ## Documentation Index
> Fetch the complete documentation index at: https://support.i.moneyforward.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get organization identity field configuration

> Retrieve the organization-level identity field configuration: preset and custom field definitions, ordering, source-of-truth and service metadata.



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/identity/configuration/configuration
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/identity/configuration/configuration:
    get:
      tags:
        - Directory
      summary: Get organization identity field configuration
      description: >-
        Retrieve the organization-level identity field configuration: preset and
        custom field definitions, ordering, source-of-truth and service
        metadata.
      operationId: publicGetIdentityFieldConfiguration
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PublicGetIdentityFieldConfigurationResponseDto
      security:
        - API-Key: []
components:
  schemas:
    PublicGetIdentityFieldConfigurationResponseDto:
      type: object
      properties:
        presetFields:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/PresetFieldConfigurationDto'
        fieldOrder:
          readOnly: true
          example:
            - preset.asset_number
            - custom.custom_text_field
          type: array
          items:
            type: string
        availableFields:
          readOnly: true
          example:
            - preset.asset_number
            - custom.custom_text_field
          type: array
          items:
            type: string
        fieldsMetadata:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/FieldMetadataDto'
        fields:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/FieldDto'
        restrictedFields:
          readOnly: true
          example:
            - preset.asset_number
            - custom.custom_text_field
          type: array
          items:
            type: string
      required:
        - presetFields
        - fieldOrder
        - availableFields
        - fieldsMetadata
        - fields
        - restrictedFields
    PresetFieldConfigurationDto:
      type: object
      properties:
        uniqueName:
          type: string
          readOnly: true
          example: asset_number
        hidden:
          type: boolean
          readOnly: true
          example: false
      required:
        - uniqueName
        - hidden
    FieldMetadataDto:
      type: object
      properties:
        fieldName:
          type: string
          readOnly: true
          example: preset.display_name
        sourceOfTruth:
          $ref: '#/components/schemas/SourceOfTruthDto'
        serviceSource:
          $ref: '#/components/schemas/ServiceSourceDto'
        serviceDetails:
          nullable: true
          readOnly: true
          type: object
          allOf:
            - $ref: '#/components/schemas/ServiceDetailsDto'
      required:
        - fieldName
        - serviceDetails
    FieldDto:
      type: object
      properties:
        fieldName:
          type: string
          readOnly: true
          example: preset.display_name
        sourceOfTruth:
          $ref: '#/components/schemas/SourceOfTruthDto'
        serviceSource:
          $ref: '#/components/schemas/ServiceSourceDto'
        serviceDetails:
          nullable: true
          readOnly: true
          type: object
          allOf:
            - $ref: '#/components/schemas/ServiceDetailsDto'
        uniqueName:
          type: string
          readOnly: true
          example: asset_number
        type:
          readOnly: true
          example: preset
          allOf:
            - $ref: '#/components/schemas/FieldType'
        hidden:
          type: boolean
          readOnly: true
          example: false
        editable:
          type: boolean
          readOnly: true
          example: false
      required:
        - fieldName
        - serviceDetails
        - uniqueName
        - type
        - hidden
        - editable
    SourceOfTruthDto:
      type: object
      properties:
        workspaceId:
          type: number
          readOnly: true
          example: 1
        source:
          readOnly: true
          example: workspace
          allOf:
            - $ref: '#/components/schemas/IdentitySourceOfTruthSource'
      required:
        - workspaceId
        - source
    ServiceSourceDto:
      type: object
      properties:
        workspaceId:
          type: number
          readOnly: true
          example: 1
        serviceFieldId:
          type: string
          readOnly: true
          example: smarthr_city
      required:
        - workspaceId
        - serviceFieldId
    ServiceDetailsDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 33
        name:
          type: string
          readOnly: true
          example: SmartHR
        uniqueName:
          type: string
          readOnly: true
          example: smarthr
        serviceTopUrl:
          type: string
          nullable: true
          readOnly: true
          example: https://smarthr.jp/
      required:
        - id
        - name
        - uniqueName
        - serviceTopUrl
    FieldType:
      type: string
      enum:
        - preset
        - custom
    IdentitySourceOfTruthSource:
      type: string
      enum:
        - workspace
        - admina
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````